package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.loan.LoanSchedule;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * 业务进度Mapper接口
 * 
 * @author boman
 * @date 2024-04-24
 */
public interface LoanScheduleMapper 
{
    /**
     * 查询业务进度
     * 
     * @param loanScheduleId 业务进度主键
     * @return 业务进度
     */
    public LoanSchedule selectLoanScheduleByLoanScheduleId(Long loanScheduleId);

    /**
     * 查询业务进度列表
     * 
     * @param loanSchedule 业务进度
     * @return 业务进度集合
     */
    public List<LoanSchedule> selectLoanScheduleList(LoanSchedule loanSchedule);

    /**
     * 新增业务进度
     * 
     * @param loanSchedule 业务进度
     * @return 结果
     */
    public int insertLoanSchedule(LoanSchedule loanSchedule);

    /**
     * 修改业务进度
     * 
     * @param loanSchedule 业务进度
     * @return 结果
     */
    public int updateLoanSchedule(LoanSchedule loanSchedule);

    /**
     * 删除业务进度
     * 
     * @param loanScheduleId 业务进度主键
     * @return 结果
     */
    public int deleteLoanScheduleByLoanScheduleId(Long loanScheduleId);
    public int deleteLoanScheduleByLoanApplicationIdAndValue(@Param("loanApplicationId")Long loanApplicationId,@Param("value")String Value);

    /**
     * 批量删除业务进度
     * 
     * @param loanScheduleIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteLoanScheduleByLoanScheduleIds(Long[] loanScheduleIds);
}
